v1.0.0
OpenAPI 3.1.0

Get a broadcast action

US region

Client Libraries

Get a broadcast action

Returns information about a specific action within a broadcast.

Path Parameters
  • broadcast_id
    Type: integer
    required

    The identifier of a broadcast.

  • action_id
    Type: integer
    required

    The action you want to lookup or act on.

Responses
  • application/json
  • 400

    The broadcastID, actionID or triggerID is invalid. Or the language does not exist for this action.

  • 404

    The broadcast, action, and/or trigger do not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/broadcasts/{broadcast_id}/actions/{action_id}
curl https://api.customer.io/v1/broadcasts/1/actions/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "action": {
    "id": 96,
    "broadcast_id": 2,
    "deduplicate_id": "15:1492548073",
    "name": "Opening Message",
    "layout": "string",
    "created": 1552341937,
    "updated": 1552341937,
    "body": "string",
    "type": "email",
    "sending_state": "automatic",
    "language": "fr",
    "from": "sentFrom@example.com",
    "from_id": 1,
    "reply_to": "replyto@example.com",
    "reply_to_id": 38,
    "preprocessor": "premailer",
    "recipient": "{{customer.email}}",
    "subject": "Did you get that thing I sent you?",
    "cc": "string",
    "bcc": "string",
    "fake_bcc": true,
    "preheader_text": "string",
    "body_amp": "string",
    "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
  }
}